---
title: Update KYC Status
description: Update KYC verification status for a prepaid card customer before or after document verification.
---

KYC documents are collected to confirm the details of customer. This API is for updating kyc status of a customer before and after verification. We must pass entity id, doc type, doc number, kyc type, reg date, reason desc and update kyc address in request. If the request has valid details, we will get a success response.

#### POST
```
https://kraken.airpay.co.in/airpay/ms/cards/api/update-kyc-status
```

## Header

| Parameter | Type Value | Description | Value Like |
| --- | --- | --- | --- |
| checksum  required | text | $string = $param.self::$secret_key; sha256(<concate all values+SECRET KEY>);(dynamic, required) | `91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps` |
| token  required | text | Will be provided by airpay | `91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps` |

## Request Body

| Parameter | Type Value | Description | Value Like |
| --- | --- | --- | --- |
| entity_id  required | text  <br>(1-50) | The Customer Id registered with the system | `91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps` |
| doc_type  required | text | Customer's Id Type | `PAN,passport` |
| doc_number  required | text | Customer's Id type's unique number | `BPDPV1436E` |
| kyc_type  required | text | Kyc Type to convert | `MIN,FULL,PARTIAL` |
| reg_date  required | text | Id Type registered Date. Format(yyyy-mm-dd | `2018-10-25` |
| reason_desc  required | text | Reason to convert Kyc Type | `Kyc Details Updation` |
| update_kyc_address  optional | text | New address | `Address` |

## Success 200

| Parameter | Type Value | Description | Value Like |
| --- | --- | --- | --- |
| status  required | numeric | airpay status | `400,200` |
| message  required | text | airpay status message | `Success,Fail` |
| data  required | json | [] |

## Request Example

```
curl --location --request POST 'https://kraken.airpay.co.in/airpay/ms/cards/api/update-kyc-status' \
--header 'token: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--header 'checksum: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data-urlencode 'entity_id=91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--data-urlencode 'doc_type=PAN' \
--data-urlencode 'doc_number=BPDPV1436E' \
--data-urlencode 'kyc_type=MIN' \
--data-urlencode 'reg_date=2018-10-25' \
--data-urlencode 'reason_desc=Kyc Details Updation' \
--data-urlencode 'update_kyc_address=Address'
```

### Success Response

```json
{
    "status": 200,
    "message": "success",
    "data": []
}
```

### Error Response

```json
{
    "status": 400,
    "message": "fail"
}
```